## ppx-core 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := ppx_core
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ppx-core (113.33.03-1) unstable; urgency=low

  * Initial release (Closes: #832596)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 27 Jul 2016 19:26:26 +0200

=== debian/control ===
Source: ppx-core
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib,
 opam,
 libjs-build-tools-ocaml-dev,
 libppx-tools-ocaml-dev (>= 0.99.3),
 libfindlib-ocaml-dev,
 dh-ocaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-core.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-core.git
Homepage: https://github.com/janestreet/ppx_core

Package: libppx-core-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: standard library for ppx rewriters (dev files)
 Ppx_core is a standard library for OCaml AST transformers. It
 contains:
  * various auto-generated AST traversal using an open recursion scheme
  * helpers for building AST fragments
  * helpers for matching AST fragments
  * a framework for dealing with attributes and extension points
 .
 This package contains development files.

Package: libppx-core-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: standard library for ppx rewriters (runtime files)
 Ppx_core is a standard library for OCaml AST transformers. It
 contains:
  * various auto-generated AST traversal using an open recursion scheme
  * helpers for building AST fragments
  * helpers for matching AST fragments
  * a framework for dealing with attributes and extension points
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --prefix /usr

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) ppx_core.install

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_core/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
